Package com.studica.frc

## Enum Lidar.Port

- java.lang.Object
- - java.lang.Enum<Lidar.Port>
  - - com.studica.frc.Lidar.Port

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Lidar.Port>`

Enclosing class:
  Lidar

    public static enum Lidar.Port
    extends java.lang.Enum<Lidar.Port>

### Enum Constant Summary

Enum Constants
`kUSB1`
`kUSB2`

### Field Summary

Fields
`int` `value`

### Method Summary

All Methods Static Methods Concrete Methods
`static Lidar.Port` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Lidar.Port[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### kUSB1

    public static final Lidar.Port kUSB1

#### kUSB2

    public static final Lidar.Port kUSB2

### Field Detail

#### value

    public final int value

### Method Detail

#### values

    public static Lidar.Port[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Lidar.Port c : Lidar.Port.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Lidar.Port valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null